Skip to main content
GET
/
reports
/
devices
Count devices in organization
curl --request GET \
  --url https://dashboard.hologram.io/api/1/reports/devices \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "total": 241,
    "new": 241,
    "preexisting": 0,
    "using_data": 200,
    "total_active": 192,
    "total_preflight": 12,
    "total_deactivated": 37
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Query Parameters

tagids
string

Comma-separated list of tag IDs.

Example:

"101,102,103"

timestart
integer

Start of time range in Unix epoch seconds format.

Example:

1767225600

timeend
number

End of time range in Unix epoch seconds format.

Example:

1769821199

Response

200 - application/json

Successful response